<template>
  <div>
    <div class="container col-10 my-3 card card-dark px-0">
      <div class="card-header">
        <h3 class="card-title float-right">ویرایش مقاله</h3>
      </div>
      <!-- /.card-header -->
      <!-- form start -->
      <form role="form" @submit.prevent="submit_edit_article">
        <div class="card-body">
          <div class="form-group">
            <label class="float-right" for="exampleInputEmail1"
              >عنوان مقاله</label
            >
            <input
              v-model="form.articleName"
              type="text"
              class="form-control text-right"
              name="articleName"
              id="exampleInputEmail1"
              placeholder="عنوان"
              :class="{ 'is-invalid': form.errors.has('articleName') }"
            />
            <has-error :form="form" field="articleName"></has-error>
          </div>
          <div class="form-group">
            <label class="float-right" for="exampleInputPassword1"
              >خلاصه ای از مقاله</label
            >
            <textarea
              v-model="form.articleDescription"
              class="form-control text-right"
              id="exampleInputPassword1"
              placeholder="حداکثر ۲۷ کلمه"
              name="articleDescription"
              :class="{ 'is-invalid': form.errors.has('articleDescription') }"
            >
            </textarea>
            <has-error :form="form" field="articleDescription"></has-error>
          </div>

          <div class="form-group">
            <label class="float-right" for="exampleInputPassword1">مطلب</label>
            <markdown-editor
              :options="options"
              v-model="form.articleText"
              class="text-right"
              placeholder="مطلب"
              name="articleText"
              :class="{ 'is-invalid': form.errors.has('articleText') }"
            >
            </markdown-editor>

            <has-error :form="form" field="articleText"></has-error>
          </div>

          <!--
                  <div class="form-group">
                    <label class="float-right" for="exampleInputPassword1">مطلب</label>
                    <textarea
                    v-model="form.articleText"
                    class="form-control text-right" id="exampleInputPassword1" placeholder="مطلب" name="articleText"
                    :class="{ 'is-invalid': form.errors.has('articleText') }">
                    </textarea>
                    <has-error :form="form" field="articleText"></has-error>
                  </div> -->
          <div class="form-group">
            <label class="float-right" for="exampleInputFile"
              >بارگذاری تصویر مرتبط برای نمایش</label
            >
            <div class="input-group">
              <div class="custom-file">
                <input
                  type="file"
                  @change="changePhoto($event)"
                  class="custom-file-input"
                  id="exampleInputFile"
                  name="articlePhoto"
                  :class="{ 'is-invalid': form.errors.has('articlePhoto') }"
                />
                <has-error :form="form" field="articlePhoto"></has-error>
                <label class="custom-file-label" for="exampleInputFile"
                  >Choose file</label
                >
              </div>
              <div class="input-group-append">
                <span class="input-group-text" id="">Upload</span>
              </div>
            </div>
            <img class="col-3" :src="form.articlePhoto" alt="" />
          </div>
          <div class="form-check">
            <input
              type="checkbox"
              class="form-check-input"
              id="exampleCheck1"
            />
            <label class="form-check-label" for="exampleCheck1"
              >Check me out</label
            >
          </div>
        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" class="btn btn-primary btn-lg">ذخیره</button>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      form: new Form({
        articleName: "",
        articleDescription: "",
        articleText: "",
        articlePhoto: ""
      })
    };
  },
  mounted() {
    axios
      .get("/admin/article/" + this.$route.params.id + "/edit")
      .then(response => {
        this.form.fill(response.data.edit_article[0]);
      });
  },
  methods: {
    submit_new_article() {
      return console.log("data ok");
      this.form
        .post("/admin/article")
        .then(response => {
          this.$router.push("/article");

          Toast.fire({
            type: "success",
            title: "مقاله شما ثبت شد و پس از تایید منتشر می گردد"
          });
        })
        .catch(() => {});
    }
  },
  methods: {
    submit_edit_article() {
      console.log("data ok");
      this.form
        .put("/admin/article/" + this.$route.params.id)
        .then(response => {
          this.$router.push("/article");

          Toast.fire({
            type: "success",
            title: "مقاله شما ویرایش شد و پس از تایید منتشر می گردد"
          });
        })
        .catch(() => {
          console.log("errrrrrrr");
        });
    }
  }
};
</script>

<style></style>
